Equivalence relations.

-------------------------------------------------------------------------------

\begin{code}
--{-# OPTIONS --allow-unsolved-metas #-}
{-# OPTIONS --without-K --safe #-}

module VFP.Equivalence where

private
  variable
    A : Set
\end{code}

-------------------------------------------------------------------------------

\begin{code}
record is-Equivalence (_≈_ : A -> A -> Set) : Set where
  field
    reflexive   : ∀ {a    } → a ≈ a
    symmetric   : ∀ {a b  } → a ≈ b → b ≈ a
    transitive  : ∀ {a b c} → a ≈ b → b ≈ c → a ≈ c
\end{code}

\begin{code}
\end{code}

\begin{code}
\end{code}

-------------------------------------------------------------------------------
